Skip to main content
POST
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
searchContent
Search TM content
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/searchContent \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetLangs": [
    "<string>"
  ],
  "sourceQuery": "<string>",
  "targetQuery": "<string>",
  "sourceMatchCase": true,
  "targetMatchCase": true,
  "sourceUseRegex": true,
  "targetUseRegex": true,
  "sourceOperator": "IS",
  "targetOperator": "IS",
  "tuId": "<string>",
  "filters": [
    {
      "projects": [
        {
          "uid": "<string>"
        }
      ],
      "projectsOperator": "IS",
      "clients": [
        {
          "uid": "<string>"
        }
      ],
      "clientsOperator": "IS",
      "domains": [
        {
          "uid": "<string>"
        }
      ],
      "domainsOperator": "IS",
      "subdomains": [
        {
          "uid": "<string>"
        }
      ],
      "subdomainsOperator": "IS",
      "filename": "<string>",
      "filenameOperator": "IS",
      "createdByUsers": [
        {
          "uid": "<string>"
        }
      ],
      "createdByUsersOperator": "IS",
      "modifiedByUsers": [
        {
          "uid": "<string>"
        }
      ],
      "modifiedByUsersOperator": "IS",
      "lastModifiedFrom": "2023-11-07T05:31:56Z",
      "lastModifiedTo": "2023-11-07T05:31:56Z",
      "createdFrom": "2023-11-07T05:31:56Z",
      "createdTo": "2023-11-07T05:31:56Z",
      "keyName": "<string>",
      "keyNameOperator": "IS"
    }
  ]
}
'
{
  "currentIndex": 123,
  "batchSize": 123,
  "content": [
    {
      "tmUid": "<string>",
      "tmName": "<string>",
      "tuId": "<string>",
      "srcTuv": {
        "locale": "<string>",
        "text": "<string>",
        "filename": "<string>",
        "project": {
          "uid": "<string>",
          "name": "<string>"
        },
        "client": {
          "uid": "<string>",
          "name": "<string>"
        },
        "domain": {
          "uid": "<string>",
          "name": "<string>"
        },
        "subdomain": {
          "uid": "<string>",
          "name": "<string>"
        },
        "ctxSegmentKey": "<string>",
        "previousSegmentKey": "<string>",
        "nextSegmentKey": "<string>",
        "modifiedBy": {
          "uid": "<string>",
          "name": "<string>"
        },
        "createdBy": {
          "uid": "<string>",
          "name": "<string>"
        },
        "modifiedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "textMatches": [
          {
            "startIndex": 123,
            "endIndex": 123
          }
        ]
      },
      "targetLocaleToTuv": {}
    }
  ],
  "hasMore": true,
  "totalElements": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Query Parameters

index
integer<int32>
default:0
Required range: x >= 0
batchSize
integer<int32>
default:50

Batch size, accepts values between 1 and 100, default 50

Required range: 0 <= x <= 100

Body

application/json
targetLangs
string[]

Target languages/locales of the given TM to search in. Example: en_us

sourceQuery
string

Query string for source part of segment. Provide either sourceQuery or targetQuery (not both)

targetQuery
string

Query string for target part of segment. Provide either sourceQuery or targetQuery (not both)

sourceMatchCase
boolean

If true, sourceQuery will be considered case-sensitive

targetMatchCase
boolean

If true, targetQuery will be considered case-sensitive

sourceUseRegex
boolean

If true, sourceQuery will be considered to be regular expression

targetUseRegex
boolean

If true, targetQuery will be considered to be regular expression

sourceOperator
enum<string>

Matching operator for sourceQuery. Default: IS

Available options:
IS,
IS_NOT,
CONTAINS,
DOES_NOT_CONTAIN
targetOperator
enum<string>

Matching operator for targetQuery. Default: IS

Available options:
IS,
IS_NOT,
CONTAINS,
DOES_NOT_CONTAIN
tuId
string

ID of the translation unit

filters
object[]

Filter for related metadata (e.g. project, client, ...). It's possible to provide multiple filter criteria of same type (AND logic applied)

Response

successful operation

currentIndex
integer<int32>
batchSize
integer<int32>
content
object[]
hasMore
boolean
totalElements
integer<int32>